Loading ...
Sorry, an error occurred while loading the content.

Re: Expected behavior?

Expand Messages
  • Martijn Verburg
    Does this need to go to experimental? - K ... version of ... expected a
    Message 1 of 15 , May 29, 2008
    • 0 Attachment
      Does this need to go to experimental? - K

      > > -----Original Message-----
      > > Here be dragons.
      >
      > Aren't there always? :p
      >
      > [snip good explanation]
      >
      > > In the case you're experiencing, the system looks at the PC, finds
      > > "Arcane"... and will return spells that either (1) Have the Class
      > > listed and do not have a name conflict or (2) Have the Class listed
      > > and have the matching TYPE [if there is more than one Spell with the
      > > given name].
      >
      > This made me go looking since there *shouldn't* be more than one
      version of
      > one of these spells, and what do I find? Another copy (basically a .MOD
      > that someone forgot to add the .MOD to :p). So now it will work without
      > adding the TYPE:Arcane to *my* .MOD if I so desire.
      >
      > > Yes, this seems weird. Yes, this seems inconsistent (in
      > > only applying TYPE in case 2). No, I have no idea how many
      > > ramifications it will have to remove the TYPE check.
      >
      > I guess it's worth a bit of discussion since both Andrew and I
      expected a
      > different behavior, but if it's too involved I have no objection to just
      > noting it somewhere in the docs and moving on. :)
      >
      > Barak
      >
    • Tom Parker
      Yes, and probably wouldn t hurt to have a Dev Spec against it to remind us of the underlying issue TP. ... a .MOD ... without ... to just
      Message 2 of 15 , May 29, 2008
      • 0 Attachment
        Yes, and probably wouldn't hurt to have a Dev Spec against it to
        remind us of the underlying issue

        TP.

        --- In pcgen@yahoogroups.com, "Martijn Verburg" <martijnverburg@...>
        wrote:
        >
        > Does this need to go to experimental? - K
        >
        > > > -----Original Message-----
        > > > Here be dragons.
        > >
        > > Aren't there always? :p
        > >
        > > [snip good explanation]
        > >
        > > > In the case you're experiencing, the system looks at the PC, finds
        > > > "Arcane"... and will return spells that either (1) Have the Class
        > > > listed and do not have a name conflict or (2) Have the Class listed
        > > > and have the matching TYPE [if there is more than one Spell with the
        > > > given name].
        > >
        > > This made me go looking since there *shouldn't* be more than one
        > version of
        > > one of these spells, and what do I find? Another copy (basically
        a .MOD
        > > that someone forgot to add the .MOD to :p). So now it will work
        without
        > > adding the TYPE:Arcane to *my* .MOD if I so desire.
        > >
        > > > Yes, this seems weird. Yes, this seems inconsistent (in
        > > > only applying TYPE in case 2). No, I have no idea how many
        > > > ramifications it will have to remove the TYPE check.
        > >
        > > I guess it's worth a bit of discussion since both Andrew and I
        > expected a
        > > different behavior, but if it's too involved I have no objection
        to just
        > > noting it somewhere in the docs and moving on. :)
        > >
        > > Barak
        > >
        >
      • Martijn Verburg
        Posted over on exp ... listed ... with the
        Message 3 of 15 , May 30, 2008
        • 0 Attachment
          Posted over on exp

          > Yes, and probably wouldn't hurt to have a Dev Spec against it to
          > remind us of the underlying issue
          >
          > TP.
          >
          > --- In pcgen@yahoogroups.com, "Martijn Verburg" <martijnverburg@>
          > wrote:
          > >
          > > Does this need to go to experimental? - K
          > >
          > > > > -----Original Message-----
          > > > > Here be dragons.
          > > >
          > > > Aren't there always? :p
          > > >
          > > > [snip good explanation]
          > > >
          > > > > In the case you're experiencing, the system looks at the PC, finds
          > > > > "Arcane"... and will return spells that either (1) Have the Class
          > > > > listed and do not have a name conflict or (2) Have the Class
          listed
          > > > > and have the matching TYPE [if there is more than one Spell
          with the
          > > > > given name].
          > > >
          > > > This made me go looking since there *shouldn't* be more than one
          > > version of
          > > > one of these spells, and what do I find? Another copy (basically
          > a .MOD
          > > > that someone forgot to add the .MOD to :p). So now it will work
          > without
          > > > adding the TYPE:Arcane to *my* .MOD if I so desire.
          > > >
          > > > > Yes, this seems weird. Yes, this seems inconsistent (in
          > > > > only applying TYPE in case 2). No, I have no idea how many
          > > > > ramifications it will have to remove the TYPE check.
          > > >
          > > > I guess it's worth a bit of discussion since both Andrew and I
          > > expected a
          > > > different behavior, but if it's too involved I have no objection
          > to just
          > > > noting it somewhere in the docs and moving on. :)
          > > >
          > > > Barak
          > > >
          > >
          >
        • nylanfs
          Using the last two alpha/beta s, if you load the Pathfinder RPG for Players or Pathfinder for Game Masters it isn t registering the books that are included
          Message 4 of 15 , Nov 13, 2013
          • 0 Attachment
            Using the last two alpha/beta's, if you load the "Pathfinder RPG for Players" or "Pathfinder for Game Masters" it isn't registering the books that are included in those sets as selected so you can't load other sources that require those books.

            Was this an intended change or unintended?
          • Andrew
            Hi, That s unexpected. I ll double check the code on those for the data side.
            Message 5 of 15 , Nov 13, 2013
            • 0 Attachment
              Hi,

              That's unexpected. I'll double check the code on those for the data side.

              On 11/13/2013 4:52 AM, nylanfs@... wrote:
              Using the last two alpha/beta's, if you load the "Pathfinder RPG for Players" or "Pathfinder for Game Masters" it isn't registering the books that are included in those sets as selected so you can't load other sources that require those books.

              Was this an intended change or unintended?

            • nylanfs
              I have a feeling that it might be related to the change over from the more technical description to the more plain text pre-req list. ... Hi, That s
              Message 6 of 15 , Nov 13, 2013
              • 0 Attachment

                I have a feeling that it might be related to the change over from the more technical description to the more plain text pre-req list.



                ---In pcgen@yahoogroups.com, <drew0500@...> wrote:

                Hi,

                That's unexpected. I'll double check the code on those for the data side.

                On 11/13/2013 4:52 AM, nylanfs@... wrote:
                Using the last two alpha/beta's, if you load the "Pathfinder RPG for Players" or "Pathfinder for Game Masters" it isn't registering the books that are included in those sets as selected so you can't load other sources that require those books.

                Was this an intended change or unintended?

              • Andrew
                Hi, I think I fixed it. Give the new one a go.
                Message 7 of 15 , Nov 13, 2013
                • 0 Attachment
                  Hi,

                  I think I fixed it. Give the new one a go.


                  On 11/13/2013 2:02 PM, nylanfs@... wrote:

                  I have a feeling that it might be related to the change over from the more technical description to the more plain text pre-req list.



                  ---In pcgen@yahoogroups.com, <drew0500@...> wrote:

                  Hi,

                  That's unexpected. I'll double check the code on those for the data side.

                  On 11/13/2013 4:52 AM, nylanfs@... wrote:
                  Using the last two alpha/beta's, if you load the "Pathfinder RPG for Players" or "Pathfinder for Game Masters" it isn't registering the books that are included in those sets as selected so you can't load other sources that require those books.

                  Was this an intended change or unintended?


                • nylanfs
                  I haven t setup a way to do a build. Are the autobuilds still running? ... Hi, I think I fixed it. Give the new one a go. On 11/13/2013 2:02 PM,
                  Message 8 of 15 , Nov 14, 2013
                  • 0 Attachment

                    I haven't setup a way to do a build. Are the autobuilds still running?



                    ---In pcgen@yahoogroups.com, <drew0500@...> wrote:

                    Hi,

                    I think I fixed it. Give the new one a go.


                    On 11/13/2013 2:02 PM, nylanfs@... wrote:

                    I have a feeling that it might be related to the change over from the more technical description to the more plain text pre-req list.



                    ---In pcgen@yahoogroups.com, <drew0500@...> wrote:

                    Hi,

                    That's unexpected. I'll double check the code on those for the data side.

                    On 11/13/2013 4:52 AM, nylanfs@... wrote:
                    Using the last two alpha/beta's, if you load the "Pathfinder RPG for Players" or "Pathfinder for Game Masters" it isn't registering the books that are included in those sets as selected so you can't load other sources that require those books.

                    Was this an intended change or unintended?


                  • Andrew
                    Hi, Yes, if you need one now I can push it to do a release for you. Otherwise, the date will show when the last one went out.
                    Message 9 of 15 , Nov 14, 2013
                    • 0 Attachment
                      Hi,

                      Yes, if you need one now I can push it to do a release for you. Otherwise, the date will show when the last one went out.

                      On 11/14/2013 7:32 AM, nylanfs@... wrote:

                      I haven't setup a way to do a build. Are the autobuilds still running?



                      ---In pcgen@yahoogroups.com, <drew0500@...> wrote:

                      Hi,

                      I think I fixed it. Give the new one a go.


                      On 11/13/2013 2:02 PM, nylanfs@... wrote:

                      I have a feeling that it might be related to the change over from the more technical description to the more plain text pre-req list.



                      ---In pcgen@yahoogroups.com, <drew0500@...> wrote:

                      Hi,

                      That's unexpected. I'll double check the code on those for the data side.

                      On 11/13/2013 4:52 AM, nylanfs@... wrote:
                      Using the last two alpha/beta's, if you load the "Pathfinder RPG for Players" or "Pathfinder for Game Masters" it isn't registering the books that are included in those sets as selected so you can't load other sources that require those books.

                      Was this an intended change or unintended?



                    • nylanfs
                      Using build #22213 from the autobuilds it still has the same issue. And it looks like you attempted a fix with #22205? ... Hi, Yes, if you need one now I can
                      Message 10 of 15 , Nov 14, 2013
                      • 0 Attachment
                        Using build #22213 from the autobuilds it still has the same issue. And it looks like you attempted a fix with #22205?

                         



                        ---In pcgen@yahoogroups.com, <drew0500@...> wrote:

                        Hi,

                        Yes, if you need one now I can push it to do a release for you. Otherwise, the date will show when the last one went out.

                        On 11/14/2013 7:32 AM, nylanfs@... wrote:

                        I haven't setup a way to do a build. Are the autobuilds still running?



                        ---In pcgen@yahoogroups.com, <drew0500@...> wrote:

                        Hi,

                        I think I fixed it. Give the new one a go.


                        On 11/13/2013 2:02 PM, nylanfs@... wrote:

                        I have a feeling that it might be related to the change over from the more technical description to the more plain text pre-req list.



                        ---In pcgen@yahoogroups.com, <drew0500@...> wrote:

                        Hi,

                        That's unexpected. I'll double check the code on those for the data side.

                        On 11/13/2013 4:52 AM, nylanfs@... wrote:
                        Using the last two alpha/beta's, if you load the "Pathfinder RPG for Players" or "Pathfinder for Game Masters" it isn't registering the books that are included in those sets as selected so you can't load other sources that require those books.

                        Was this an intended change or unintended?



                      • nylanfs
                        Andrew, I just downloaded the autobuild (which is built to #22292), and loading the Multiset(s) still isn t registering that the Core Rulebook is selected to
                        Message 11 of 15 , Nov 19, 2013
                        • 0 Attachment

                          Andrew, I just downloaded the autobuild (which is built to #22292), and loading the Multiset(s) still isn't registering that the Core Rulebook is selected to be loaded.



                          ---In pcgen@yahoogroups.com, <nylanfs@...> wrote:

                          Using build #22213 from the autobuilds it still has the same issue. And it looks like you attempted a fix with #22205?

                           



                          ---In pcgen@yahoogroups.com, <drew0500@...> wrote:

                          Hi,

                          Yes, if you need one now I can push it to do a release for you. Otherwise, the date will show when the last one went out.

                          On 11/14/2013 7:32 AM, nylanfs@... wrote:

                          I haven't setup a way to do a build. Are the autobuilds still running?



                          ---In pcgen@yahoogroups.com, <drew0500@...> wrote:

                          Hi,

                          I think I fixed it. Give the new one a go.


                          On 11/13/2013 2:02 PM, nylanfs@... wrote:

                          I have a feeling that it might be related to the change over from the more technical description to the more plain text pre-req list.



                          ---In pcgen@yahoogroups.com, <drew0500@...> wrote:

                          Hi,

                          That's unexpected. I'll double check the code on those for the data side.

                          On 11/13/2013 4:52 AM, nylanfs@... wrote:
                          Using the last two alpha/beta's, if you load the "Pathfinder RPG for Players" or "Pathfinder for Game Masters" it isn't registering the books that are included in those sets as selected so you can't load other sources that require those books.

                          Was this an intended change or unintended?



                        Your message has been successfully submitted and would be delivered to recipients shortly.